%define with_test 0
Name:          jakarta-commons-email
Version:       1.2
Release:       %mkrel 1
Summary:       Commons Email Package
Group:         Development/Java
License:       ASL
Url:           http://commons.apache.org/email/
Source0:       http://apache.fastbull.org//commons/email/source/commons-email-%{version}-src.tar.gz
Source1:       jakarta-commons-email-depmap
Patch0:        jakarta-commons-email-1.2-pom_xml.patch
BuildRequires: geronimo-jaf-1_1-api
BuildRequires: geronimo-javamail-1_4-api
BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin
%if %with_test
BuildRequires: apache-commons-logging
BuildRequires: avalon-framework
BuildRequires: avalon-logkit
BuildRequires: backport-util-concurrent
BuildRequires: junit
BuildRequires: liblog4j-java
BuildRequires: retrotranslator
BuildRequires: subethasmtp
BuildRequires: tomcat5-servlet-2.4-api
%endif
BuildRequires: jpackage-utils
Requires:      jpackage-utils
Requires:      geronimo-javamail-1_4-api
BuildArch:     noarch

%description
Commons-Email aims to provide an API for sending email. It is built on top of
the JavaMail API, which it aims to simplify.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Commons Email Package.

This package contains javadoc for %{name}.

%prep
%setup -q -n commons-email-%{version}-src

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done

%patch0 -p0

%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mvn-jpp \
  -e \
  -Dmaven2.jpp.mode=true \
  -Dmaven2.jpp.depmap.file="%{SOURCE1}" \
%if !%with_test
  -Dmaven.test.skip=true \
%endif
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  install javadoc:javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/commons-email-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-%{version}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-commons-email.pom
%add_to_maven_depmap org.apache.commons commons-email %{version} JPP commons-email
%add_to_maven_depmap commons-email commons-email %{version} JPP commons-email

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed "s|jakarta-||g"`
  done
)

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/commons-email-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/commons-email-%{version}
ln -s commons-email-%{version} %{buildroot}%{_javadocdir}/commons-email

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%{_javadir}/commons-email-%{version}.jar
%{_javadir}/commons-email.jar
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt
%doc README.txt RELEASE-NOTES.txt

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/commons-email-%{version}
%{_javadocdir}/commons-email



%changelog

* Sat Nov 05 2011 dmorgan <dmorgan> 1.2-1.mga2
+ Revision: 163096
+ rebuild (emptylog)

* Mon Jun 13 2011 gil <gil> 1.2-0.mga2
+ Revision: 105780
- imported package jakarta-commons-email


* Mon Jun 13 2011 gil <gil> 1.2-0.%%mkrel
- initial rpm